# based on the spec file from https://build.opensuse.org/package/view_file/home:Simmphonie/libx265/

Name:           x265
%define soname  32
%define libname lib%{name}
%define libsoname %{libname}-%{soname}
%define hgdate  20140928
Version:        0.%{soname}hg%{hgdate}
Release:        1.2
License:        GPL-2.0+
Summary:        A free h265/HEVC encoder - encoder binary
Url:            https://bitbucket.org/multicoreware/x265/wiki/Home
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        %{name}-hg%{hgdate}.tar.bz2
Patch0:         arm.patch
BuildRequires:  gcc gcc-c++
BuildRequires:  cmake >= 2.8.8
BuildRequires:  pkg-config
BuildRequires:  yasm >= 1.2.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
x265 is a free library for encoding next-generation H265/HEVC video
streams.

%package -n %{libsoname}
Summary:        A free H265/HEVC encoder - encoder binary
Group:          Productivity/Multimedia/Video/Editors and Convertors

%description -n %{libsoname}
x265 is a free library for encoding next-generation H265/HEVC video
streams.

%package -n %{libname}-devel
Summary:        Libraries and include file for the %{libname} encoder
Group:          Development/Libraries/C and C++
Requires:       %{buildrequires}
Requires:       %{libsoname} = %{version}
Provides:       %{name}-devel = %{version}
Obsoletes:      %{name}-devel < %{version}

%description -n %{libname}-devel
x265 is a free library for encoding next-generation H265/HEVC video
streams. 

%prep
%setup -q -n "%{name}/build/linux"
cd ../..
%patch0
cd -
%define FAKE_BUILDDATE %(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
sed -i -e "s/0.0/%{soname}.0/g" ../../source/cmake/version.cmake
cmake  -DCMAKE_INSTALL_PREFIX=/usr -DENABLE_TESTS=ON -G "Unix Makefiles" ../../source
cmake -DCMAKE_INSTALL_PREFIX=/usr ../../source

%build
#./make-Makefiles.bash
make %{?_smp_mflags}

%install
%makeinstall
%ifarch x86_64
  mv "%{buildroot}/usr/lib" "%{buildroot}%{_libdir}"
%endif

rm -f %{buildroot}%{_libdir}/%{libname}.a

echo "%{libname}-%{soname}" > %{_sourcedir}/baselibs.conf

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post -n %{libsoname} -p /sbin/ldconfig
%postun -n %{libsoname} -p /sbin/ldconfig

%files -n %{libsoname}
%defattr(0644,root,root)
%{_libdir}/%{libname}.so.%{soname}*

%files 
%defattr(0755,root,root)
%{_bindir}/%{name}

%files -n %{libname}-devel
%defattr(0644,root,root)
%{_includedir}/%{name}.h
%{_includedir}/%{name}_config.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{libname}.so

%changelog
* Sat Oct  4 2014 aloisio@gmx.com
- Bumped to version hg20140928
* Thu Jun  5 2014 guillaume@opensuse.org
- Fix ARM build with arm.patch from Arch Linux:
  https://github.com/archlinuxarm/PKGBUILDs/blob/master/extra/x265/arm.patch
* Thu May  8 2014 Manfred.Tremmel@iiv.de
- added baselibs.conf
* Mon Mar 24 2014 Manfred.Tremmel@iiv.de
- initial build of todays mercurial checkout
